package com.demo.dao;

import com.demo.entity.po.DeviceConf;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.stereotype.Repository;


@Repository
public class DeviceConfDao {
    @Autowired
    private MongoTemplate mongoTemplate;

    public DeviceConf findEnable(String os){
        Query query = Query.query(Criteria.where("status").is(true).and("os").is(os));
        DeviceConf deviceConf = mongoTemplate.findOne(query, DeviceConf.class);
        return deviceConf;
    }

}
